#include <iostream>

using namespace std;

int main()
{
    int n,niz1[100005]={0},br=0;
    cin>>n;
    int x[n+5],y[n+5],z[n+5];
    for(int i=0;i<n;i++)
    {
        cin>>x[i];
    }
    for(int i=0;i<n;i++)
    {
        cin>>y[i];
    }
    for(int i=0;i<n;i++)
    {
        cin>>z[i];
        niz1[y[z[i]-1]]++;
    }
    for(int i=0;i<n;i++)
    {
        br+=niz1[x[i]];
    }
    cout<<br;
    return 0;
}